package land

import "github.com/veandco/go-sdl2/sdl"

type BaseUIObject struct {
	BaseObject

	Position Vector2D
	Size     Vector2D
}

func (p *BaseUIObject) Draw(pen *sdl.Renderer) {
}

func (p *BaseUIObject) GetPosition() Vector2D {
	return p.Position
}

func (p *BaseUIObject) GetSize() Vector2D {
	return p.Size
}
